Name:    libgig
Version: 4.3.0
Release: 20
Summary: C++ library for accessing GigaStudio, DLS, SF, KORG, AKAI files.

License: GPL
Group:   Sound
Source0: http://download.linuxsampler.org/packages/%{name}-%{version}.tar.bz2
URL:     http://www.linuxsampler.org

BuildRequires: gcc /usr/bin/g++ libsndfile-devel libuuid-devel doxygen
Requires: libsndfile libuuid
Provides: %{name} = %{version}

%description
libgig is a C++ library for reading, modifying and creating Gigasampler /
GigaStudio (.gig) files, DLS (Downloadable Sounds) Level 1/2 files, SoundFont
version 2 (.sf2) and KORG sound files (.KMP and .KSF). These files are
typically used in modern day audio waveform samplers and synthesizer keyboards.
.
Since the Gigasampler / GigaStudio and DLS formats are based ontop of the
binary RIFF container format, this library also provides convenient access to
RIFF files in general.
.
This package also contains a Linux/POSIX ported version of libakai, which
provides support for reading Akai formated medias (CDRoms, HDs, Zip disks).
Currently Akai S1000, S01, S2000 and S3000 series are supported.

%package devel
Summary:  C++ library for accessing Gigasampler, DLS, SF, KORG, AKAI files.
Group:    Development/Libraries
Requires: %{name} = %{version}

%description devel
libgig is a C++ library for reading, modifying and creating Gigasampler /
GigaStudio (.gig) files, DLS (Downloadable Sounds) Level 1/2 files, SoundFont
version 2 (.sf2) and KORG sound files (.KMP and .KSF). These files are
typically used in modern day audio waveform samplers and synthesizer keyboards.
.
Since the Gigasampler / GigaStudio and DLS formats are based ontop of the
binary RIFF container format, this library also provides convenient access to
RIFF files in general.
.
This package also contains a Linux/POSIX ported version of libakai, which
provides support for reading Akai formated medias (CDRoms, HDs, Zip disks).
Currently Akai S1000, S01, S2000 and S3000 series are supported.
.
This package contains the header files needed for development with libgig.
You will need this only if you intend to compile programs that use this
library.

%prep

%setup -q
if [ -f Makefile.cvs ]; then make -f Makefile.cvs; fi

%build
./configure --prefix=%{_prefix} --libdir=%{_libdir}
make
make docs

%install
make install DESTDIR=%{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_prefix}/bin/*
%{_libdir}/%{name}/libgig.so*
%{_libdir}/%{name}/libakai.so*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%doc doc/html/*
%{_libdir}/%{name}/libgig.a
%{_libdir}/%{name}/libgig.la
%{_libdir}/pkgconfig/gig.pc
%{_libdir}/%{name}/libakai.a
%{_libdir}/%{name}/libakai.la
%{_libdir}/pkgconfig/akai.pc
%{_prefix}/include/libgig/*

%changelog
* Mon Dec 06 2021 Seth Kenlon <seth@redhat.com>
- Updated macros in spec file
* Sun May 09 2021 Christian Schoenebeck <cuse@users.sourceforge.net>
- prepared for release 4.3.0
* Thu Jul 25 2019 Christian Schoenebeck <cuse@users.sourceforge.net>
- prepared for release 4.2.0
* Sat Nov 25 2017 Christian Schoenebeck <cuse@users.sourceforge.net>
- prepared for release 4.1.0
* Tue Jul 14 2015 Christian Schoenebeck <cuse@users.sourceforge.net>
- prepared for release 4.0.0
* Sun Jun 01 2014 Christian Schoenebeck <cuse@users.sourceforge.net>
- Fixed installation directories of .so files and header files
  (fixes #218).
- libgig.so and libakai.so files are now under /usr/lib/libgig
- Header files are now under /usr/include/libgig
* Thu May 22 2014 Christian Schoenebeck <cuse@users.sourceforge.net>
- Added libakai files. Note that libakai is released under LGPL terms while
  libgig is released under GPL terms. To handle this license difference
  appropriately the AKAI support part is built as separate DLL (.so file).
  Due to its low expected demand however, no separate package is created for
  the AKAI part for now though.
- Updated package descriptions.
* Thu Jul 30 2009 Christian Schoenebeck <cuse@users.sourceforge.net>
- prepared for release 3.3.0
* Wed Dec 03 2008 Christian Schoenebeck <cuse@users.sourceforge.net>
- fixed rpmbuild error on Fedora Core 8
  (fixes #86, patch by Devin Anderson)
* Wed Dec 05 2007 Christian Schoenebeck <cuse@users.sourceforge.net>
- prepared for release 3.2.1
* Sun Oct 14 2007 Christian Schoenebeck <cuse@users.sourceforge.net>
- prepared for release 3.2.0
- libgig's home has moved to http://www.linuxsampler.org/libgig/
* Sat Mar 24 2007 Christian Schoenebeck <cuse@users.sourceforge.net>
- prepared for 3.1.1
* Fri Nov 24 2006 Christian Schoenebeck <cuse@users.sourceforge.net>
- prepared for 3.1.0
* Thu Jun 01 2006 Rui Nuno Capela <rncbc@users.sourceforge.net>
- changed deprecated copyright attribute to license
- added ldconfig to post-(un)install steps
* Sun May 07 2006 Christian Schoenebeck <cuse@users.sourceforge.net>
- libgig's home has been slightly changed from stud.fh-heilbronn.de
  to stud.hs-heilbronn.de
* Fri Apr 28 2006 Christian Schoenebeck <cuse@users.sourceforge.net>
- prepared for 3.0.0
* Mon Aug 15 2005 Christian Schoenebeck <cuse@users.sourceforge.net>
- prepared for 2.0.2
* Mon Jun 13 2005 Rui Nuno Capela <rncbc@users.sourceforge.net>
- prepared for 2.0.1
* Mon May  9 2005 Rui Nuno Capela <rncbc@users.sourceforge.net>
- prepared for 2.0.0
* Wed Nov 24 2004 Rui Nuno Capela <rncbc@users.sourceforge.net>
- prepared for 1.0.0
* Sat Jul 10 2004 Christian Schoenebeck <cuse@users.sourceforge.net>
- renamed 'libgig.pc' to 'gig.pc' as well as the pkg-config lib name
* Wed Jun 30 2004 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Created and corrected initial libgig.spec
